Bug 1555132 (CVE-2018-5144)

Summary: CVE-2018-5144 Mozilla: Integer overflow during Unicode conversion (MFSA 2018-07)
Product: [Other] Security Response Reporter: Doran Moppert <dmoppert>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: cschalle, gecko-bugs-nobody, jhorak, security-response-team, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-06-20 00:53:52 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1551856, 1551857, 1551858, 1551859, 1551863, 1551864, 1551865, 1551866    
Bug Blocks: 1551854    

Description Doran Moppert 2018-03-14 02:04:28 UTC
An integer overflow can occur during conversion of text to some Unicode character sets due to an unchecked length parameter.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-07/#CVE-2018-5144

Comment 1 Doran Moppert 2018-03-14 02:04:34 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Root Object

Comment 2 errata-xmlrpc 2018-03-15 10:32:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:0526 https://access.redhat.com/errata/RHSA-2018:0526

Comment 3 errata-xmlrpc 2018-03-15 11:21:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0527 https://access.redhat.com/errata/RHSA-2018:0527

Comment 4 errata-xmlrpc 2018-04-05 20:05:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0648 https://access.redhat.com/errata/RHSA-2018:0648

Comment 5 errata-xmlrpc 2018-04-05 20:23:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:0647 https://access.redhat.com/errata/RHSA-2018:0647